complexType "FxAmericanExercise"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | commencementDate, expiryDate, expiryTime?, cutName?, latestValueDate, multipleExercise?
</...>

Content Model Elements (6):

  commencementDate (defined in FxDigitalAmericanExercise complexType),
  cutName (defined in FxDigitalAmericanExercise complexType),
  expiryDate (defined in FxDigitalAmericanExercise complexType),
  expiryTime (defined in FxDigitalAmericanExercise complexType),
  latestValueDate,
  multipleExercise (in americanExercise in fxOption)

All Direct / Indirect Based Elements (1):

  americanExercise (in fxOption)

Known Usage Locations

- As direct type of elements (1):
  americanExercise (in fxOption)

Annotation
Describes the characteristics for american exercise of FX products.
Type Definition Detail

Type Derivation Tree Exercise (extension) FxDigitalAmericanExercise (extension) FxAmericanExercise

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FxAmericanExercise"> <xsd:complexContent> <xsd:extension base="FxDigitalAmericanExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="multipleExercise" type="FxMultipleExercise"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/6)
multipleExercise

  Type: | FxMultipleExercise, complex content

  Characteristics for multiple exercise.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multipleExercise" type="FxMultipleExercise"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.